import { BaseDialog } from '.';
import { FcrButton } from '../button';
import './basic-confirm-dialog.css';
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
export var FcrBasicConfirmDialog = function FcrBasicConfirmDialog(props) {
  var title = props.title,
    text = props.text,
    cancelText = props.cancelText,
    okText = props.okText,
    onOk = props.onOk,
    onCancel = props.onCancel,
    visible = props.visible,
    getContainer = props.getContainer;
  return /*#__PURE__*/_jsx(BaseDialog, {
    classNames: "basic-confirm-dialog",
    closable: false,
    width: 320,
    visible: visible,
    getContainer: getContainer,
    children: /*#__PURE__*/_jsxs("div", {
      className: "basic-confirm-dialog__content",
      children: [/*#__PURE__*/_jsx("div", {
        className: "basic-confirm-dialog__title",
        children: title
      }), /*#__PURE__*/_jsx("div", {
        className: "basic-confirm-dialog__text",
        children: text
      }), /*#__PURE__*/_jsxs("div", {
        className: "basic-confirm-dialog__footer",
        children: [/*#__PURE__*/_jsx(FcrButton, {
          type: "secondary",
          shape: "rounded",
          size: "S",
          onClick: onCancel,
          children: cancelText
        }), /*#__PURE__*/_jsx(FcrButton, {
          size: "S",
          shape: "rounded",
          onClick: onOk,
          children: okText
        })]
      })]
    })
  });
};